<template>
  <v-menu v-if="page.subpages" offset-y>
    <template v-slot:activator="{ on }">
      <v-btn
        text
        :color="page.color ? page.color : ''"
        :input-value="$route.path.startsWith('/' + page.to)"
        v-on="on"
      >
        <v-icon v-if="page.icon" left>{{ page.icon }}</v-icon>
        {{ page.title }}
        <v-icon>{{ mdiMenuDown }}</v-icon>
      </v-btn>
    </template>
    <v-list>
      <v-list-item
        v-for="(subpage, j) in page.subpages"
        :key="j"
        :to="page.to && subpage.to ? '/' + page.to + '/' + subpage.to : ''"
        :href="subpage.href ? subpage.href : ''"
        nuxt
      >
        <v-list-item-action v-if="subpage.icon">
          <v-icon>{{ subpage.icon }}</v-icon>
        </v-list-item-action>
        <v-list-item-content>
          <v-list-item-title
            :color="subpage.color ? subpage.color : ''"
            v-text="subpage.title"
          />
        </v-list-item-content>
      </v-list-item>
    </v-list>
  </v-menu>
  <v-btn
    v-else
    text
    small
    :to="page.to ? page.to : ''"
    :href="page.href ? page.href : ''"
    :color="page.color ? page.color : ''"
    nuxt
    :exact="page.exact"
  >
    <v-icon v-if="page.icon" left>{{ page.icon }}</v-icon>
    {{ page.title }}
  </v-btn>
</template>

<script>
import { mdiMenuDown } from '@mdi/js'

export default {
  props: {
    page: {
      type: Object,
      required: true,
    },
  },

  data: () => ({
    mdiMenuDown,
  }),
}
</script>
